Bug 1167062 - non-free Trademark problem
Summary: non-free Trademark problem
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kbreakout
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1169898
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2014-11-23 04:40 UTC by mejiko
Modified: 2016-07-19 12:26 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-19 12:26:10 UTC


Attachments (Terms of Use)

Description mejiko 2014-11-23 04:40:07 UTC
Hello.

kbreakout included trademark problem.

"BREAKOUT" is trademark, It is non-free.

http://tsdr.uspto.gov/#caseNumber=76062330&caseType=SERIAL_NO&searchType=statusSearch


Suggests:


1. Rename this game.


E.g:

lbrickbuster2

https://admin.fedoraproject.org/pkgdb/package/lbrickbuster2/


2. Remove Fedora repos.


3. Contact Trademark owner.


Thanks.

Comment 1 mejiko 2014-11-23 04:40:43 UTC
Blocking FE-Legal, This is trademark problem.

Comment 2 Tom "spot" Callaway 2014-11-24 14:27:59 UTC
Yeah. We need to rename this one or remove it.

Comment 3 Ngo Than 2014-11-24 15:20:35 UTC
i think, we rename the game. which name should we rename? lbrickbuster2?

Comment 4 Tom "spot" Callaway 2014-11-24 15:23:16 UTC
No, kbreakout needs to be renamed. It can be anything that doesn't include the mark "breakout" or is confused for "breakout" (e.g. not "kreakout").

kbrickbuster would work, for example, but I leave it to you to come up with a name you're comfortable with, just let me know what you want to use and I'll give it a review.

Comment 5 Ngo Than 2014-11-24 15:29:10 UTC
KBrickbuster is fine for us.

Comment 6 Tom "spot" Callaway 2014-11-24 15:43:15 UTC
That name is clear to use. Just change any user visible references to kbreakout to "kbrickbuster" in the code and packaged files, then rename the package and tarball accordingly. (You can Provide/Obsolete the old name without issue).

Comment 7 Ngo Than 2014-11-25 17:39:20 UTC
(In reply to Tom "spot" Callaway from comment #6)
> That name is clear to use. Just change any user visible references to
> kbreakout to "kbrickbuster" in the code and packaged files, then rename the
> package and tarball accordingly. (You can Provide/Obsolete the old name
> without issue).

if i understand correctly, i can use these in new specfile?
Obsoletes: kbreakout
Provides: kbreakout

Comment 8 Ngo Than 2014-11-25 17:44:15 UTC
Tom, i still see some "Breakout-like game.", "A breakout like game for KDE"
Do we have to replace "Breakout" string too?

Comment 9 Tom "spot" Callaway 2014-11-26 14:30:21 UTC
Yes. You cannot use "Breakout-like" (or use the Breakout mark in any way to describe the game).

You can use the Obsoletes/Provides though.

Comment 10 Ngo Than 2014-11-28 11:23:17 UTC
i uploaded the srpm and spec file, all *breakout* is now renamed to *brickbuster* in new kbrickbuster package.

Tom, could you please review it? 

https://than.fedorapeople.org/f21/kbrickbuster-4.14.3-1.fc20.src.rpm
https://than.fedorapeople.org/f21/kbrickbuster.spec

Thanks

Comment 11 Rex Dieter 2014-11-29 14:49:53 UTC
I don't think you actually need to rename the base package, ie, the .spec and Name: fields, and theoretically Source0 tarball can stay kbreakout (so we don't have to re-review and create a new git module).  

I think the Obsoletes/Provides ought to be versioned too, using something like:

Obsoletes: kbreakout < 4.13.3-2
Provides: kbreakout = %{version}-%{release}

Comment 12 Rex Dieter 2014-11-29 14:50:40 UTC
Oh nevermind, Tom did explicitly mention "then rename the package and tarball accordingly"

Comment 13 Ngo Than 2014-12-02 16:33:28 UTC
i added request for package review in bugzilla, it would be great if someone could review it. Thanks

https://bugzilla.redhat.com/show_bug.cgi?id=1169898

Comment 14 Tom "spot" Callaway 2014-12-08 21:03:21 UTC
Cleaning the needinfo on me here.

Comment 15 Fedora Admin XMLRPC Client 2015-02-12 17:19:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Jaroslav Reznik 2015-03-03 17:05:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 17 Fedora End Of Life 2016-07-19 12:26:10 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.